{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkIf enabled;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.cava;
  inherit (config.marleyos.theme) colors;
in
{
  options = mkEnableModule "programs.cava";

  config = mkIf cfg.enable {
    enable = true;

    rose-pine = mkIf colors.isRosePine enabled;

    # TODO: disable this when mpd is not enabled? Can that be detected on non
    # NixOS systems?
    settings = {
      input = {
        method = "fifo";
        source = "/tmp/mpd.fifo";
      };
    };
  };
}
